Package org.apache.jmeter.gui.action

# Interface Command

All Known Implementing Classes:
  `AboutCommand`, `AbstractAction`, `AbstractActionWithNoRunningTest`, `AddParent`, `AddThinkTimeBetweenEachStep`, `AddToTree`, `ApplyNamingConvention`, `ChangeLanguage`, `ChangeParent`, `CheckDirty`, `Clear`, `Close`, `CollapseExpand`, `CollapseExpandTreeBranch`, `CompileJSR223TestElements`, `Copy`, `CreateFunctionDialog`, `Cut`, `Duplicate`, `EditCommand`, `EnableComponent`, `ExitCommand`, `ExportTransactionAndSamplerNames`, `Help`, `HtmlReportAction`, `Load`, `LoadRecentProject`, `LoggerPanelEnableDisable`, `LogLevelCommand`, `LookAndFeelCommand`, `Move`, `OpenLinkAction`, `ParseCurlCommandAction`, `Paste`, `RemoteStart`, `Remove`, `ResetSearchCommand`, `Restart`, `RevertProject`, `Save`, `SaveBeforeRun`, `SaveGraphics`, `SchematicView`, `SearchTreeCommand`, `SSLManagerCommand`, `Start`, `StopStoppables`, `TemplatesCommand`, `UndoCommand`, `What`, `ZoomInOut`

public interface Command

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doAction(ActionEvent e)`
  `Set<String>`
  `getActionNames()`

- ## Method Details

  - ### doAction

    void doAction(ActionEvent e) throws IllegalUserActionException
    Throws:
      `IllegalUserActionException`

  - ### getActionNames

    Set<String> getActionNames()